/** @overview nodeunit test case. */
var testResource = require('../../../test_resource'),
    mockContext = testResource.requireMockModule('mock_modules/mock_context'),
    defineAccessLogMiddleware = require('../../../../serverside/middleware/define_access_log_middleware.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Setup access log middleware.'] = function (test) {
    var middleware = defineAccessLogMiddleware(mockContext({
        ACCESS_LOG_PATH: testResource.resolveWorkFile('work-access-log-middleware-log.log'),
        ACCESS_LOG_FORMAT: 'a'
    }));
    test.ok(middleware);
    test.done();
};